Package org.kapott.cryptalgs

# Class PKCS1_15

java.lang.Object
java.security.SignatureSpi
org.kapott.cryptalgs.PKCS1_15

public class PKCS1_15 extends SignatureSpi

## Field Summary

### Fields inherited from class java.security.SignatureSpi

`appRandom`

## Constructor Summary

Constructors
Constructor
Description
`PKCS1_15()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`createDigestInfo(SignatureParamSpec spec, byte[] hash)`
`protected Object`
`engineGetParameter(String param1)`
Deprecated.
`protected void`
`engineInitSign(PrivateKey privateKey)`
`protected void`
`engineInitVerify(PublicKey publicKey)`
`protected void`
`engineSetParameter(String param1, Object value)`
Deprecated.
`protected void`
`engineSetParameter(AlgorithmParameterSpec params)`
`protected byte[]`
`engineSign()`
`protected void`
`engineUpdate(byte b)`
`protected void`
`engineUpdate(byte[] b, int off, int len)`
`protected boolean`
`engineVerify(byte[] sigBytes)`
`static MessageDigest`
`getMessageDigest(SignatureParamSpec spec)`

### Methods inherited from class java.security.SignatureSpi

`clone, engineGetParameters, engineInitSign, engineSign, engineUpdate, engineVerify`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PKCS1_15

public PKCS1_15()

## Method Details

### engineSetParameter

@Deprecated protected void engineSetParameter(String param1, Object value) throws InvalidParameterException
Deprecated.

Specified by:
  `engineSetParameter` in class `SignatureSpi`
Throws:
  `InvalidParameterException`

### engineSetParameter

protected void engineSetParameter(AlgorithmParameterSpec params) throws InvalidAlgorithmParameterException

Overrides:
  `engineSetParameter` in class `SignatureSpi`
Throws:
  `InvalidAlgorithmParameterException`

### engineGetParameter

@Deprecated protected Object engineGetParameter(String param1) throws InvalidParameterException
Deprecated.

Specified by:
  `engineGetParameter` in class `SignatureSpi`
Throws:
  `InvalidParameterException`

### getMessageDigest

public static MessageDigest getMessageDigest(SignatureParamSpec spec)

### engineInitSign

protected void engineInitSign(PrivateKey privateKey)

Specified by:
  `engineInitSign` in class `SignatureSpi`

### engineInitVerify

protected void engineInitVerify(PublicKey publicKey)

Specified by:
  `engineInitVerify` in class `SignatureSpi`

### engineUpdate

protected void engineUpdate(byte b)

Specified by:
  `engineUpdate` in class `SignatureSpi`

### engineUpdate

protected void engineUpdate(byte[] b, int off, int len)

Specified by:
  `engineUpdate` in class `SignatureSpi`

### engineSign

protected byte[] engineSign()

Specified by:
  `engineSign` in class `SignatureSpi`

### engineVerify

protected boolean engineVerify(byte[] sigBytes)

Specified by:
  `engineVerify` in class `SignatureSpi`

### createDigestInfo

public static byte[] createDigestInfo(SignatureParamSpec spec, byte[] hash)